import React from 'react';
import './index.less';
declare type ItemProps = {
    imgUrl: string;
    data: any;
    showWidth: string;
    clickItem?: Function;
    clickHeaderImg: Function;
    startTime?: string;
    timeStyle?: object;
    imageLocation?: string;
};
declare class FindGoodThings extends React.Component<ItemProps> {
    static defaultProps: {
        imgUrl: string;
        showWidth: string;
        imageLocation: string;
    };
    state: {
        translateX: number;
        sliderData: number;
    };
    timer: null;
    showImg(): void;
    sliderChange(value: any): void;
    mouseMoveEvent(): void;
    clickItem(e: any, item: any): void;
    handleHeaderImgClick(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export default FindGoodThings;
